# shadowsocks-libev

![Version: 0.2.1](https://img.shields.io/badge/Version-0.2.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v3.3.5](https://img.shields.io/badge/AppVersion-v3.3.5-informational?style=flat-square)

Bug-fix-only libev port of shadowsocks

## Source Code

* <https://github.com/shadowsocks/shadowsocks-libev>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| allanger | <allanger@badhouseplants.net> | <https://badhouseplants.net> |

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| oci://git.badhouseplants.net/softplayer | softplayer-lib-workload | 0.1.0 |

## Installing the Chart

To install the chart with the release name `sql-exporter`:

```console
helm repo add sql_exporter https://burningalchemist.github.io/sql_exporter/
helm install sql_exporter/sql-exporter
```

## Chart Values

### General parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| workload.kind | string | `"Deployment"` | A kind of workload to run |
| workload.containers | object | `{"shadowsocks":{"envFrom":["environemnt","secrets"],"image":{"pullPolicy":"Always","registry":"docker.io","repository":"shadowsocks/shadowsocks-libev","tag":null},"ports":["shadowsocks"],"securityContext":{"capabilities":{"add":["NET_ADMIN"]}}}}` | A list of containers to run within the workload |
| workload.containers.shadowsocks | object | `{"envFrom":["environemnt","secrets"],"image":{"pullPolicy":"Always","registry":"docker.io","repository":"shadowsocks/shadowsocks-libev","tag":null},"ports":["shadowsocks"],"securityContext":{"capabilities":{"add":["NET_ADMIN"]}}}` | Shadowsocks container description |
| workload.containers.shadowsocks.securityContext | object | `{"capabilities":{"add":["NET_ADMIN"]}}` | Required to allow ipv4 forwarding |
| env.environment.sensitive | bool | `false` |  |
| env.environment.data.METHOD | string | `"chacha20-ietf-poly1305"` |  |
| env.secrets.sensitive | bool | `true` |  |
| env.secrets.data.PASSWORD | string | `"test12345"` | Provide a password that will be used to connect to shadowsocks |
| service.type | string | `"ClusterIP"` |  |
| service.ports.shadowsocks.port | int | `8388` |  |
| service.ports.shadowsocks.targetPort | int | `8388` |  |
| service.ports.shadowsocks.protocol | string | `"TCP"` |  |

## Dev Notes

After changing default `Values`, please execute `make gen_docs` to update the `README.md` file. Readme file is generated by the `helm-docs` tool, so make sure not to edit it manually.

