#!/usr/bin/env bash

CHANGED_CHARTS=$(ct list-changed)
CURRENT_DIR=$(pwd)

for CHART in $CHANGED_CHARTS; do
  cd "${CHART}"
  helm dependency update
  if [[ "$(helm show chart . | yq '.annotations.skip_tests')" != "true" ]]; then
    ct install --target-branch main
    ct install --target-branch main --upgrade
  else 
    echo "skipping chart because of the skip_test annotation"
  fi
  cd "${CURRENT_DIR}"
done
